// ProgressWriterDlg.h : header file
//

#if !defined(AFX_PROGRESSWRITERDLG_H__FD64FE67_822A_11D6_80D4_0050048A5DF5__INCLUDED_)
#define AFX_PROGRESSWRITERDLG_H__FD64FE67_822A_11D6_80D4_0050048A5DF5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BLMSPF.h"

/////////////////////////////////////////////////////////////////////////////
// CProgressWriterDlg dialog

class CProgressWriterDlg : public CDialog
{
// Construction
public:
	CProgressWriterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CProgressWriterDlg)
	enum { IDD = IDD_PROGRESSWRITER_DIALOG };
	CProgressCtrl	m_ctlProgress;
	CEdit	m_ctlPrompt;
	CButton	m_ctlVerifyWrites;
	CButton	m_btnPowerOff;
	CButton	m_btnWriteFile;
	CButton	m_btnVerifyFile;
	CButton	m_btnResetTarget;
	CComboBox	m_ctlPort;
	CString	m_strPort;
	CString	m_strTargetInfo;
	CString	m_strAdapterInfo;
	BOOL	m_bVerifyWrites;
	CString	m_strDLLInfo;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProgressWriterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL InitializeAdapter();
	void CloseBLMSPF();
	BOOL OpenBLMSPF();
	BOOL SeizeTarget(); 
	BOOL MassErase();
	BOOL ResetTarget();
	BOOL PowerOff();
	BOOL SendPasswordFF();
	void WriteFile( LPCTSTR szFileName, int nFileType );
	void VerifyFile( LPCTSTR szFileName, int nFileType );
	BOOL SendPasswordFile( LPCTSTR szFileName, int nFileType );
	void GetTargetInfo();
	BOOL WriteToRegistry();
	BOOL ReadFromRegistry();
	void EnableControls( BOOL bEnable );
	BOOL BrowseFileName(	CString& strNewFileName, 
							LPCTSTR strFilter, 
							DWORD dwFlags,
							int* pnFilterIndex );

	CString m_strPatchFileName;
	HICON m_hIcon;
	BYTE m_abyPassword[BLMSPF_PASSWORD_LENGTH];

	// Generated message map functions
	//{{AFX_MSG(CProgressWriterDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelchangePort();
	afx_msg void OnWriteFile();
	afx_msg void OnVerifyFile();
	afx_msg void OnResetTarget();
	afx_msg void OnPowerOff();
	afx_msg void OnClose();
	//}}AFX_MSG
	LONG OnBootloaderMessage( UINT wParam, LONG lParam );
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRESSWRITERDLG_H__FD64FE67_822A_11D6_80D4_0050048A5DF5__INCLUDED_)
