; This code fragment demonstrates BLMSPF LoadPC
; The linker is configured to load the .text segment at FFC0
	.include "MSP430F41X.h"

; This project will generate a misaligned PC warning in the 
; simulator because of no interrupt vectors.  
; Since this fragment will not be simulated, ignore this warning.

; Export the function stubs to view addresses in map file
	.global BLMSPF_SetupP13
	.global BLMSPF_ClearP13
	.global BLMSPF_SetP13

; Also configure the assembler to load at FFC0 to 
; make viewing the listing file meaningful.
	.text 0FFC0h

BLMSPF_SetupP13
	bis.b #008h,&P1DIR
	; Intentional fall-through...
BLMSPF_ClearP13
	bic.b #008h,&P1OUT
	br &00C00h

BLMSPF_SetP13
	bis.b #008h,&P1OUT
	br &00C00h

	.end